import { Construct } from 'constructs';
/**
 * FleetWise Logging Properties
 */
export interface LoggingProps {
    /**
     * Name of log group to configure. This can be either single name
     * such as `AWSIoTFleetWiseLogs` or a fully pathed entry such as:
     * `/iot/FleetWiseLogs`
     */
    readonly logGroupName: string;
    readonly enableLogging: 'ERROR' | 'OFF';
    readonly keepLogGroup?: boolean;
}
/**
 * Configures FleetWise logging to CloudWatch logs.
 *
 * If enabled, this will ensure the log group is accessible,
 * or create a new one if it is not.
 */
export declare class Logging extends Construct {
    constructor(scope: Construct, id: string, props: LoggingProps);
}
