export interface VSSObject {
    allowed?: Array<string>;
    type: string;
    description?: string;
    comment?: string;
    datatype?: string;
    default?: string | Array<string>;
    instances?: Array<string>;
    instantiate?: boolean;
    unit?: string;
    min?: string;
    max?: string;
}
export interface IrawVssNode {
    name: string;
    type: string;
    contents: VSSObject;
}
export interface IrawVssNodes extends Array<IrawVssNode> {
}
export interface IbranchName {
    fullyQualifiedName: string;
    isInstance: boolean;
}
export interface IbranchNames extends Array<IbranchName> {
}
export interface VSSProps {
    vssFile: string;
    prefix?: string;
    generatePrefixBranch?: boolean;
}
export declare class VSS {
    nodes: IrawVssNodes;
    private prefix;
    constructor(props: VSSProps);
    rawVssNodes(vssYaml: any): IrawVssNodes;
    branchNames(rawNodes: IrawVssNodes, prefix: string, generatePrefixBranch: boolean): IbranchNames;
    generateInstanceNames(instanceArray: Array<string>, prefix: string): Array<string>;
    completeVss(rawNodes: IrawVssNodes, branches: IbranchNames): IrawVssNodes;
    getParentBranches(name: string, branches: IbranchNames): IbranchNames;
    getLongestBranches(branches: IbranchNames): IbranchNames;
}
