import { Construct } from 'constructs';
import { SignalCatalog } from './signalcatalog';
export declare class VehicleInterface {
    protected intf: object;
    constructor();
    toObject(): object;
}
export interface CanVehicleInterfaceProps {
    readonly interfaceId: string;
    readonly name: string;
    readonly protocolName?: string;
    readonly protocolVersion?: string;
}
export declare class CanVehicleInterface extends VehicleInterface {
    constructor(props: CanVehicleInterfaceProps);
}
export declare class VehicleSignal {
    protected signal: object;
    constructor();
    toObject(): object;
}
export interface CanVehicleSignalProps {
    readonly fullyQualifiedName: string;
    readonly interfaceId: string;
    readonly messageId: number;
    readonly name?: string;
    readonly factor: number;
    readonly isBigEndian: boolean;
    readonly isSigned: boolean;
    readonly length: number;
    readonly offset: number;
    readonly startBit: number;
}
export declare class CanVehicleSignal extends VehicleSignal {
    constructor(props: CanVehicleSignalProps);
}
/**
 * Attribute Signal - needed when creating a vehicle with attributes
 */
export interface AttributeVehicleSignalProps {
    readonly fullyQualifiedName: string;
}
export declare class AttributeVehicleSignal extends VehicleSignal {
    constructor(props: AttributeVehicleSignalProps);
}
export declare class NetworkFileDefinition {
    protected definition: object;
    constructor();
    toObject(): object;
}
export declare class CanDefinition extends NetworkFileDefinition {
    constructor(networkInterface: string, signalsMap: Record<string, string>, canDbcFiles: Array<string>);
}
export interface VehicleModelProps {
    readonly signalCatalog: SignalCatalog;
    readonly name: string;
    readonly description?: string;
    readonly networkInterfaces: VehicleInterface[];
    readonly signals?: VehicleSignal[];
    readonly networkFileDefinitions?: NetworkFileDefinition[];
}
export declare class VehicleModel extends Construct {
    readonly name: string;
    readonly signalCatalog: SignalCatalog;
    constructor(scope: Construct, id: string, props: VehicleModelProps);
}
